Get Form By ID

View as Markdown

Form with the requested ID should be returned from this API. Anticipated load – Moveworks may call this endpoint a few times every 24 hours. This API is primarily for sanity checks and debugging. Since ingestion happens once every 24 hours, we might want to verify if form submission failures are due to deviations between the local and remote versions.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

OR
X-API-KEYstring
API Key authentication via header

Path parameters

formIdstringRequired
ID of form to return

Response headers

X-RateLimit-Limitinteger
The maximum number of requests you're permitted to make per minute.
X-RateLimit-Remaininginteger
The number of requests remaining in the current rate limit window.
X-RateLimit-Resetstring or null
The remaining window before the rate limit FULLY resets in UTC epoch seconds.

Response

A single form
idstring
Stable unique identifier for the form.
domainenum
Specifies the domain the form belongs to.
Allowed values:
titlestring
Title of the form. This will be displayed to the end user.
urlstring

Self-service portal URL where the user can fill out the form if in-bot form filling is not supported.

last_updated_atstring

Last updated date as a ISO-8601 UTC timestamp (e.g., 2021-10-20T17:28:52Z)

image_urlstring or null
Publically accessible image URL for the form
descriptionstring or null1-2000 characters

A long description of the form’s purpose. This is used in our form search machine learning, and is also displayed to the end user.

short_descriptionstring or null1-140 characters

A short description of the form’s purpose. This is used in our form search machine learning, and is also displayed to the end user.

fieldslist of objects or null
A list of fields that make up this form.
dynamic_field_ruleslist of objects or null
A list of rules that specify dynamic form field behavior based on user response to other fields.